Bug 104082 - FILEOPEN: RTF: General Error when trying to open a file
Summary: FILEOPEN: RTF: General Error when trying to open a file
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
QA Contact:
URL:
Whiteboard: target:5.3.1
Keywords: bibisected, bisected, filter:rtf, regression
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2016-11-21 11:02 UTC by Xisco Faulí
Modified: 2017-08-03 10:35 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
another document (78.23 KB, application/rtf)
2016-11-21 11:49 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-11-21 11:02:31 UTC
1. Open attachment 53776 [details]

Observed behaviour: File can't be opened and it prompts 'General Error. General input/output error.'
Reproduced in 

Version: 5.3.0.0.alpha1+
Build ID: 757a60d01dd152aadab2ba3c8224252481ce8a88
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; Layout
Engine: new; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

but not in

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 1 Xisco Faulí 2016-11-21 11:49:38 UTC
Created attachment 128921 [details]
another document
Comment 2 Telesto 2016-11-22 09:28:39 UTC
Confirming

I can't open attached rtf with:
Version: 5.3.0.0.alpha1+
Build ID: 02ec51c7e0bf9320b32ec73233ecaaf160448776
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-11-20_23:12:18
Locale: nl-NL (nl_NL); Calc: CL

but not with:

Versie: 4.4.6.3 
Build ID: e8938fd3328e95dcf59dd64e7facd2c7d67c704d
Locale: nl_NL
Comment 3 raal 2016-11-23 20:08:30 UTC
This seems to have begun at the below commit.
Adding Cc: to Miklos Vajna; Could you possibly take a look at this one? Thanks

author	Miklos Vajna <vmiklos@collabora.co.uk>	2016-03-10 07:23:37 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2016-03-10 13:31:54 (GMT)
commit	b84f5a0efa4a24a3e8074bc27fb21529b9c4d3a6 (patch)
tree	a73c21550394e1ded2bb97114e7a2551d5733889
parent	6a114b8ffaac52322c318d2dba543a2ad52cc892 (diff)
RTF import: set user-defined metadata only after parsing all of them
This helps setting all or no metadata in case an error would happen in
the middle of parsing metadata entries.

69f72d30ebcd68e903b05864fd6acfc8d7b383b7 is the first bad commit
commit 69f72d30ebcd68e903b05864fd6acfc8d7b383b7
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Fri Mar 18 14:24:34 2016 -0700

    source sha:b84f5a0efa4a24a3e8074bc27fb21529b9c4d3a6

	git bisect log
# bad: [6380ca07b05f68dedcaa379302cfe1fa478571c4] source sha:60b74fe1775e647545d2da1fcc58a4c63ec18aa5
# good: [1f670510f08cb800cbae2a1dd6ea70d3542e4721] source sha:49c2b9808df8a6b197dec666dfc0cda6321a4306
git bisect start 'origin/master' 'oldest'
# good: [38f37b8ec1a2d199bb957cfd2581df7d1b273b74] source sha:c0da1080b61a1d51654fc34fdaeba373226065ff
git bisect good 38f37b8ec1a2d199bb957cfd2581df7d1b273b74
# bad: [11ae494d8c566f23e0ef84ba0cc25fb1388b67f7] source sha:470cfa9860232ab70e017e6084d80f80d469555c
git bisect bad 11ae494d8c566f23e0ef84ba0cc25fb1388b67f7
# bad: [d247d25062e6cc4afccdc3c4be84a2b98523b36a] source sha:150c1dcab007dd8acc1551791f42eef692f9e531
git bisect bad d247d25062e6cc4afccdc3c4be84a2b98523b36a
# good: [dc23450cfb87b61fcbd905a7079d8a0d32759e6b] source sha:5c1234eac2b9f3a3ea032e4828a15bedca6b9ebe
git bisect good dc23450cfb87b61fcbd905a7079d8a0d32759e6b
# bad: [3c06b49a11643ee6e22d8184f65dcc129ceb586d] source sha:42d6a165b053ebdccbd6979eb849b1abe305d2ba
git bisect bad 3c06b49a11643ee6e22d8184f65dcc129ceb586d
# good: [ae20ff1c2de6ecec64f34a839a82f6dfd00f5ac5] source sha:70fca3e901e41fa52589eb3f06e6839c4a8582de
git bisect good ae20ff1c2de6ecec64f34a839a82f6dfd00f5ac5
# bad: [6d7499abfffe460a5f7013564141cc51dbc39e87] source sha:127fbac23afa1fc94dd7f8aae390e1ff55ed5d64
git bisect bad 6d7499abfffe460a5f7013564141cc51dbc39e87
# bad: [ead1e6d2162bca106369cec08b6bac34610626dc] source sha:a3fcf5a3b8ea26c289b12216d7f8fdb7e07814b7
git bisect bad ead1e6d2162bca106369cec08b6bac34610626dc
# good: [76ec908f8aa5824caac5af760b0b866e1bb0720b] source sha:3d82b08bcea45408b1998934558e2e28721125df
git bisect good 76ec908f8aa5824caac5af760b0b866e1bb0720b
# good: [d644a4e4923dfa3b358bbb64eeb77baab7defeb4] source sha:51d1fca2041ba4478c5abae59b1ed4fee37ea1ee
git bisect good d644a4e4923dfa3b358bbb64eeb77baab7defeb4
# good: [ab9d72b85c35aff79fbdf6a466b3e1c526cf9bef] source sha:6a114b8ffaac52322c318d2dba543a2ad52cc892
git bisect good ab9d72b85c35aff79fbdf6a466b3e1c526cf9bef
# bad: [12474ea7b910e44f9499f390bddc6f902ab5c264] source sha:e75f6e549eb825c310d16d11babf0fba5ee7fd7a
git bisect bad 12474ea7b910e44f9499f390bddc6f902ab5c264
# bad: [69f72d30ebcd68e903b05864fd6acfc8d7b383b7] source sha:b84f5a0efa4a24a3e8074bc27fb21529b9c4d3a6
git bisect bad 69f72d30ebcd68e903b05864fd6acfc8d7b383b7
# first bad commit: [69f72d30ebcd68e903b05864fd6acfc8d7b383b7] source sha:b84f5a0efa4a24a3e8074bc27fb21529b9c4d3a6
Comment 4 Commit Notification 2017-02-06 22:55:42 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6a537b3c44e79a389a8a8b7c10e53579c7ecf389&h=libreoffice-5-3

tdf#104082 RTF filter: handle user-defined document properties of type number

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Miklos Vajna 2017-02-07 08:07:15 UTC
master had the fix already before I noticed this bug.
Comment 6 Xisco Faulí 2017-08-03 10:35:08 UTC
Verified in

Version: 6.0.0.0.alpha0+
Build ID: 3f16306964d5bb81dda3c681bcabbacadf424e7b
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group